/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法配置对象 algorithm_config_track
 *
 * @author wangkang
 * 2024-09-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "algorithm_config_track")
public class AlgorithmConfigTrack extends BaseEntity
    {
@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Id
    private Long id;

    /** 类型 */
    private String type;

    /** 父id */
    private Long parentId;

    /** 分系统 */
    private String subsystem;

    /** 算法名称 */
    private String algorithmName;

    /** 算法地址 */
    private String algorithmAddress;

    /** 参数配置 */
    private String parameterConfig;

    /** 备注 */
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;

    /** 系统 */
    private String system;

    /// 20241230 新增
    /** 开始api */
    private String startApi;

    /** 暂停api */
    private String pauseApi;

    /** 结束api */
    private String terminateApi;

    /** 算法参数 */
    private String parameters;
}
