/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain;

import java.util.Date;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 可见光转红外对象 to_infrared
 *
 * @author 0
 * 2024-09-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "to_infrared")
public class ToInfrared extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @Id
    private Long id;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 状态
     * 0：未开始
     * 1：进行中
     * 2：完成
     * 3：失败
     * 4：中断
     */
    private String status;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

    /**
     * $column.columnComment
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;

    /**
     * $column.columnComment
     */
    private String url;

    /**
     * $column.columnComment
     */
    private Long inputOssId;

    /**
     * 输入路径
     */
    private String inputPath;

    /**
     * 输出路径
     */
    private String outputPath;
    private String zipFilePath;

    private Long algorithmModelId;

    private String algorithmParameters;
    private Long algorithmId;
    private String logPath;

    private Long parentTaskId;
}
