/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmConfigTrack;
import com.taais.common.orm.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 算法配置业务对象 algorithm_config_track
 *
 * @author wangkang
 * @date 2024-09-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmConfigTrack.class, reverseConvertGenerate = false)
public class AlgorithmConfigTrackBo extends BaseEntity {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 类型
     */
    private String type;

    /**
     * 父id
     */
    private Long parentId;

    /**
     * 分系统
     */
    private String subsystem;

    /**
     * 算法名称
     */
    @NotBlank(message = "算法名称不能为空")
    private String algorithmName;

    /**
     * 算法地址
     */
    @NotBlank(message = "算法地址不能为空")
    private String algorithmAddress;

    /**
     * 参数配置
     */
//    @NotBlank(message = "参数配置不能为空")
    private String parameterConfig;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 系统
     */
    private String system;

    /**
     * 开始api
     */
    @NotBlank(message = "开始api不能为空")
    private String startApi;

    /**
     * 暂停api
     */
    private String pauseApi;

    /**
     * 结束api
     */
    @NotBlank(message = "结束api不能为空")
    private String terminateApi;

    /**
     * 算法参数
     */
    @NotBlank(message = "算法参数不能为空")
    private String parameters;
}
