package com.taais.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import lombok.Data;
import java.io.Serial;
import java.io.Serializable;
import lombok.NoArgsConstructor;

/**
 * 算法模型配置导入视图对象 algorithm_model_track
 *
 * @author wangkang
 * @date 2024-09-26
 */

@Data
@NoArgsConstructor
public class AlgorithmModelTrackImportVo implements Serializable
{

    @Serial
    private static final long serialVersionUID = 1L;


     /** 算法 */
    @ExcelProperty(value = "算法")
    private Long algorithmId;

     /** 模型名称 */
    @ExcelProperty(value = "模型名称")
    private String modelName;

     /** 模型 */
    @ExcelProperty(value = "模型")
    private String modelAddress;

     /** 训练样本数 */
    @ExcelProperty(value = "训练样本数")
    private Long sampleNumber;

     /** 训练循环次数 */
    @ExcelProperty(value = "训练循环次数")
    private Long cycleEpoch;

     /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

     /** 逻辑删除标志（0代表存在 1代表删除） */
    @ExcelProperty(value = "逻辑删除标志（0代表存在 1代表删除）")
    private Integer delFlag;

     /** 系统 */
    @ExcelProperty(value = "系统")
    private String system;

    @ExcelProperty(value = "算法参数")
    private String algorithmParameters;
}
