package com.taais.biz.service;

import java.util.List;

import com.taais.biz.domain.AlgorithmTaskTrack;
import com.taais.biz.domain.vo.AlgorithmTaskTrackVo;
import com.taais.biz.domain.bo.AlgorithmTaskTrackBo;
import com.taais.common.core.core.domain.CommonResult;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;

/**
 * 可辨识性分析总任务Service接口
 *
 * @author wangkang
 * 2025-01-06
 */
public interface IAlgorithmTaskTrackService extends IBaseService<AlgorithmTaskTrack> {
    /**
     * 查询可辨识性分析总任务
     *
     * @param id 可辨识性分析总任务主键
     * @return 可辨识性分析总任务
     */
        AlgorithmTaskTrackVo selectById(Long id);

    /**
     * 查询可辨识性分析总任务列表
     *
     * @param algorithmTaskTrackBo 可辨识性分析总任务Bo
     * @return 可辨识性分析总任务集合
     */
    List<AlgorithmTaskTrackVo> selectList(AlgorithmTaskTrackBo algorithmTaskTrackBo);

    /**
     * 分页查询可辨识性分析总任务列表
     *
     * @param algorithmTaskTrackBo 可辨识性分析总任务Bo
     * @return 分页可辨识性分析总任务集合
     */
    PageResult<AlgorithmTaskTrackVo> selectPage(AlgorithmTaskTrackBo algorithmTaskTrackBo);

    /**
     * 新增可辨识性分析总任务
     *
     * @param algorithmTaskTrackBo 可辨识性分析总任务Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(AlgorithmTaskTrackBo algorithmTaskTrackBo);

    /**
     * 修改可辨识性分析总任务
     *
     * @param algorithmTaskTrackBo 可辨识性分析总任务Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(AlgorithmTaskTrackBo algorithmTaskTrackBo);

    /**
     * 批量删除可辨识性分析总任务
     *
     * @param ids 需要删除的可辨识性分析总任务主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

    CommonResult listSubTask(Long id);
}
